From: Chris Lamb <lamby@debian.org>
Date: Fri, 23 Sep 2016 22:28:55 +0200
Subject: Don't call chown(2) if it would be a no-op.

Signed-off-by: Chris Lamb <lamby@debian.org>
---
 gunicorn/util.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gunicorn/util.py b/gunicorn/util.py
index 3a2d06a..adddea3 100644
--- a/gunicorn/util.py
+++ b/gunicorn/util.py
@@ -157,6 +157,8 @@ def set_owner_process(uid, gid, initgroups=False):
 
 
 def chown(path, uid, gid):
+    if (uid, gid) == (os.getuid(), os.getgid()):
+        return
     os.chown(path, uid, gid)
 
 
